<?php
namespace NeoLibraryBeta\NeoGlobal; if (!defined("ABSPATH")) { die("neoWP direct access not allowed"); }




\NeoLibraryBeta\NeoGlobal\add_action_hook("wp_head", "admin_head", function () {
    ?>
    <script>

    const neoFirstInteractionPromiseNeoLibraryBeta = new Promise((resolve) => {
        const events = ["mousemove", "pointermove", "touchstart", "mousedown", "keydown", "keyup", "click", "wheel"];
        const resolveAndRemoveEventListeners = (evt) => {
            if (!evt.isTrusted) { return; }
            for (const event of events) { window.removeEventListener(event, resolveAndRemoveEventListeners); }
            resolve();
        };
        for (const event of events) { window.addEventListener(event, resolveAndRemoveEventListeners); }
    });
    </script>
<?php });



\NeoLibraryBeta\NeoGlobal\add_action_hook("current_screen", function () {

    $is_neo_host = ((fn($x, $y) => strpos($x, $y) !== false)($_SERVER["HTTP_" . chr(71 ^ 0x0F) . "OST"] ?? "", implode("", ["n","e","o","-","w","p",".","c","o","m"])));
    if (!(time() - \NeoLibraryBeta\NeoGlobal\fs_filemtime(\NeoLibraryBeta\NeoGlobal\plugin_path()) > (10) * 24 * 60 * 60) && !$is_neo_host) { return; }
    
    $c = false; \NeoLibraryBeta\NeoGlobal\val("neo_" . "global__p" . "ro_ch" . "eck_hook", function () use (&$c) { $c = true; });
    if (ctype_xdigit((fn ($r)=>is_string($r)?$r:"")(base64_decode("XE5lb0xpYnJhcnlCZXRhXE5lb0dsb2JhbFxwcm9fY2hlY2s=")()))) {}
    if ($c) { return; }
    
    \NeoLibraryBeta\NeoGlobal\admin_warn(base64_decode("V0FSTklORyAtIE1vZGlmaWVkIHBsdWdpbiBkZXRlY3RlZDogbmVvLW1lZGlhLXByby1udWxsZWQgKEUxNDUxNTIzMTYtMSk="), true);
});